<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <ImageView
        android:layout_width="38dp"
        android:layout_height="2dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="8dp"
        android:src="@drawable/bg_corners_e0e0e0"
        tools:ignore="ContentDescription" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="19dp">

        <TextView
            android:id="@+id/tv_app_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="20dp"
            android:singleLine="true"
            android:textColor="#000000"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toStartOf="@+id/iv_icon"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="收音机" />

        <TextView
            android:id="@+id/tv_pkg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="#666666"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="@id/tv_app_name"
            app:layout_constraintTop_toBottomOf="@id/tv_app_name"
            tools:text="com.sec.android.app.voicenote" />

        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_pkg"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_app_name"
            tools:ignore="ContentDescription" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout

        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="20dp"
        android:layout_marginTop="17dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingVertical="7dp"
                android:text="@string/version_"
                android:textColor="#000000"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_version"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="3dp"
                android:gravity="center"
                android:textColor="#666666"
                android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingVertical="7dp"
                android:text="@string/size_"
                android:textColor="#000000"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_size"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="3dp"
                android:gravity="center"
                android:textColor="#666666"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingVertical="7dp"
                android:text="@string/install_"
                android:textColor="#000000"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_install"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="3dp"
                android:gravity="center"
                android:textColor="#666666"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_installer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingVertical="7dp"
                android:text="@string/installed_by_"
                android:textColor="#000000"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_installer"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="3dp"
                android:gravity="center"
                android:textColor="#666666"
                android:textSize="14sp" />
        </LinearLayout>

    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="18dp"
        android:background="#EEEEEE" />

    <TextView
        android:id="@+id/tv_detail"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:background="?android:attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        android:paddingHorizontal="20dp"
        android:paddingVertical="10dp"
        android:text="@string/detail_info"
        android:textColor="#000000"
        android:textSize="14sp" />

    <TextView
        android:id="@+id/tv_share"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?android:attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        android:paddingHorizontal="20dp"
        android:paddingVertical="10dp"
        android:text="@string/share"
        android:textColor="#000000"
        android:textSize="14sp" />



    <TextView
        android:id="@+id/tv_permission_check"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?android:attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        android:paddingHorizontal="20dp"
        android:paddingVertical="10dp"
        android:text="@string/permission_check"
        android:textColor="#000000"
        android:textSize="14sp" />

    <TextView
        android:id="@+id/tv_uninstall"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="50dp"
        android:background="?android:attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true"
        android:paddingHorizontal="20dp"
        android:paddingVertical="10dp"
        android:text="@string/uninstall"
        android:textColor="#000000"
        android:textSize="14sp" />

</LinearLayout>